Package com.enonic.xp.portal.handler

## Class EndpointHandler

- java.lang.Object
- - com.enonic.xp.web.handler.BaseWebHandler
  - - com.enonic.xp.portal.handler.EndpointHandler

- All Implemented Interfaces:
    `WebHandler`

      public abstract class EndpointHandler
      extends BaseWebHandler

- - ### Field Summary

    - ### Fields inherited from interface com.enonic.xp.web.handler.WebHandler

      `MAX_ORDER, MIN_ORDER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EndpointHandler​(String endpointType)` |
    `EndpointHandler​(EnumSet<HttpMethod> methodsAllowed, String endpointType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canHandle​(WebRequest req)` |
    `protected String` | `findPreRestPath​(WebRequest req)` |
    `protected String` | `findRestPath​(WebRequest req)` |
    `protected boolean` | `isSiteBase​(WebRequest req)` |

    - ### Methods inherited from class com.enonic.xp.web.handler.BaseWebHandler

      `addTraceInfo, badRequest, doHandle, getBodyLength, getOrder, getSize, handle, methodNotAllowed, notFound`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EndpointHandler

          public EndpointHandler​(String endpointType)

    - #### EndpointHandler

          public EndpointHandler​(EnumSet<HttpMethod> methodsAllowed,
                                 String endpointType)

  - ### Method Detail

    - #### canHandle

          public boolean canHandle​(WebRequest req)

      Specified by:
        `canHandle` in class `BaseWebHandler`

    - #### findPreRestPath

          protected String findPreRestPath​(WebRequest req)

    - #### findRestPath

          protected final String findRestPath​(WebRequest req)

    - #### isSiteBase

          protected boolean isSiteBase​(WebRequest req)